summaryrefslogtreecommitdiff
path: root/build-aux/mdate-sh
diff options
context:
space:
mode:
authorKarl Berry <karl@freefriends.org>2012-01-07 08:49:48 -0800
committerKarl Berry <karl@freefriends.org>2012-01-07 08:49:48 -0800
commit602241295d8c9845a6cf5098ca53bc4e0afd5839 (patch)
tree29daa188d4a47763f27a729e34fe15b686935da4 /build-aux/mdate-sh
parent2cefd738d1d50d61b5a14d145143697f8e6ef394 (diff)
downloadgnulib-602241295d8c9845a6cf5098ca53bc4e0afd5839.tar.gz
autoupdate
Diffstat (limited to 'build-aux/mdate-sh')
-rwxr-xr-xbuild-aux/mdate-sh12
1 files changed, 6 insertions, 6 deletions
diff --git a/build-aux/mdate-sh b/build-aux/mdate-sh
index 60dc485a37..3e0858e9b8 100755
--- a/build-aux/mdate-sh
+++ b/build-aux/mdate-sh
@@ -40,7 +40,7 @@ fi
case $1 in
'')
- echo "$0: No file. Try \`$0 --help' for more information." 1>&2
+ echo "$0: No file. Try '$0 --help' for more information." 1>&2
exit 1;
;;
-h | --h*)
@@ -76,7 +76,7 @@ LC_TIME=C
export LC_TIME
# GNU ls changes its time format in response to the TIME_STYLE
-# variable. Since we cannot assume `unset' works, revert this
+# variable. Since we cannot assume 'unset' works, revert this
# variable to its documented default.
if test "${TIME_STYLE+set}" = set; then
TIME_STYLE=posix-long-iso
@@ -96,14 +96,14 @@ if ls -n /dev/null 1>/dev/null 2>&1; then
ls_command="$ls_command -n"
fi
-# A `ls -l' line looks as follows on OS/2.
+# A 'ls -l' line looks as follows on OS/2.
# drwxrwx--- 0 Aug 11 2001 foo
# This differs from Unix, which adds ownership information.
# drwxrwx--- 2 root root 4096 Aug 11 2001 foo
#
# To find the date, we split the line on spaces and iterate on words
# until we find a month. This cannot work with files whose owner is a
-# user named `Jan', or `Feb', etc. However, it's unlikely that `/'
+# user named "Jan", or "Feb", etc. However, it's unlikely that '/'
# will be owned by a user whose name is a month. So we first look at
# the extended ls output of the root directory to decide how many
# words should be skipped to get the date.
@@ -116,7 +116,7 @@ month=
command=
until test $month
do
- test $# -gt 0 || error "failed parsing \`$ls_command /' output"
+ test $# -gt 0 || error "failed parsing '$ls_command /' output"
shift
# Add another shift to the command.
command="$command shift;"
@@ -136,7 +136,7 @@ do
esac
done
-test -n "$month" || error "failed parsing \`$ls_command /' output"
+test -n "$month" || error "failed parsing '$ls_command /' output"
# Get the extended ls output of the file or directory.
set dummy x`eval "$ls_command \"\\\$save_arg1\""`